//弹出层遮罩	
var openWin = function(obj){
var winElemt = $('#'+ obj);
var $coverDom = "<div class='jsGTipsCover' id='gTipsCover"+obj+"' style='background:#000;position:absolute;filter:alpha(opacity=0);opacity:0;width:100%;left:0;top:0;z-index:9999901'><iframe src='about:blank' frameborder='no' border='0' style='width:100%;height:"
+($(document).height()-5)
+"px;filter:alpha(opacity=0);opacity:0;scrolling=no;z-index:870610'></iframe></div>"
var win = {

        height : function(){
                return winElemt.outerHeight();
        },

        width : function(){
                return winElemt.outerWidth();
        },

        show : function(){
                winElemt.css({
                        'position':'absolute',
                        'z-index':'9999902',
                        'left':'50%',
                        'margin-left':'-' + win.width() / 2 + 'px',
                        'top':$(window).height()/2 - (win.height()/2) + $(window).scrollTop() + 'px'
                }).show();
								$(window).scroll(function(){
									 winElemt.css({
                        'top':$(window).height()/2 - (win.height()/2) + $(window).scrollTop() + 'px'
               			 });
								});
								$(window).resize(function(e){
									 winElemt.css({
                        'top':$(window).height()/2 - (win.height()/2) + $(window).scrollTop() + 'px'
               			 });
								});
                $($coverDom).appendTo('body').css({opacity:0.4});
        },

        hide : function(){
                winElemt.hide();
                $('#gTipsCover'+obj).remove();

        }

};
win.show();
$('.close-win').live("click",function(){
        win.hide();
});
};
//点击滑动到对应模块 
function returnFixe(obj){
	var idTop =  $("#"+obj).offset().top;
	$("html, body").animate({ scrollTop: idTop -95 }, 200);		
}
//输入框倒数计数 --- 带提示 剩余字数
function countFun(obj,oNum,oNumBox){
	$("#"+obj).bind("keyup",function(){ 
		var num = this.value.length; 	
		var nums = oNum - num;
		$("#"+oNumBox).parents(".jsoNumBox").show();  	
		if(nums < 0){ 		
			$(this).val($(this).val().substring(0,oNum))
			$("#"+oNumBox).html("0");
		}else{ 		
			$("#"+oNumBox).html(nums); 	
		} 
	});	
};

//输入框倒数计数 --- 带提示 剩余字数
function countFun2(obj,oNum,oNumBox){
	var num = $("#"+obj).val().length;
	var nums = oNum - num;
	$("#"+oNumBox).parents(".jsoNumBox").show();  	
	if(nums < 0){ 		
		$("#"+obj).val($("#"+obj).val().substring(0,oNum))
		$("#"+oNumBox).html("0");
	}else{ 		
		$("#"+oNumBox).html(nums); 	
	} 	
};

//输入框倒数计数 --- 不带提示 剩余字数
function countFunInput(obj,oNum){
	$("."+obj).live("keyup",function(){ 
		var num = this.value.length; 	
		var nums = oNum - num;  	
		if(nums < 0){
			$(this).val($(this).val().substring(0,oNum)) 		
		}
	});	
};

$(function(){
	//头部固定导航
	/*var ieTime = null;
	var scrollH = 0;
	function shoeIe()
	{
		$("#header").css({top:0 + "px"});
		$("#header").show().animate({top:scrollH + "px"});
	}
	
	$(window).scroll(function(){
		scrollH = $(window).scrollTop();
		if (!window.XMLHttpRequest)
		{	
			$("#header").hide();
			if(ieTime)
			{
				clearTimeout(ieTime);
			}
			ieTime = setTimeout(shoeIe,200);
		}
	})*/

	//头部消息下拉框
	$("#jsIcoLinkInner,#jsIcoLinkInner2").hover(function(){
		$(this).find(".icoLinkInnerList").show()
	},function(){
		$(this).find(".icoLinkInnerList").hide()
	})
	
	/***点击输入框 关闭提示文字****/
        $(".input_text,.textarea").live('focus',function(){
            $(this).addClass("input_text_on").prev(".jslabelPrev").hide();
        }).live('blur',function(){
            $(this).removeClass("input_text_on");
            if($(this).val() == "")
            {
                $(this).prev(".jslabelPrev").show();
            }
        })
	$(".input_text,.textarea").each(function(index, element) {
		$(this).focus(function(){
			$(this).addClass("input_text_on").prev(".jslabelPrev").hide();
		}).blur(function(){
			$(this).removeClass("input_text_on");
			if($(this).val() == "")
			{
				$(this).prev(".jslabelPrev").show();
			}
		})
		if($(this).val() != "")
		{
			$(this).prev(".jslabelPrev").hide();
		}	
	});
	
	//模拟Select
	$(".imitateSelect").live('click', function(){
	//$(".imitateSelect").click(function(){
		$(this).find(".imitate").focus().addClass("inputHover");
		$(this).find(".listImitate").toggle();
	}).hover(function(){
		$(this).addClass("imitateSelect2");
		$(this).find(".imitate").addClass("inputHover");
	},function(){
		$(this).removeClass("imitateSelect2");
		$(this).find(".imitate").removeClass("inputHover").end().find(".listImitate").hide();
	});
	
	
	$(".imitateSelect").find(".imitate").each(function(index, element) {
		if($(this).val() == "")
		{
			$(this).siblings(".labelImitate").show()
		}
	});
	//$(".imitateSelect").find(".link").live("click",function(){
	$(".imitateSelect").find(".link").click(function(){
		$(this).addClass("linkOn").parent("dd").siblings("dd").find(".link").removeClass("linkOn");
		if($(this).attr("oid"))
		{
			$(this).parents(".listImitate").siblings(".labelImitate").hide().siblings(".jsImitateHidden").val($(this).attr("oid")).focus();
		}
		$(this).parents(".listImitate").siblings(".labelImitate").hide().siblings(".imitate").val($(this).text()).focus();
	//	$(this).parents(".listImitate").hide();


		//return false;

	})
	
	
	//返回顶部
	$("#fixedLocation .backToTop").click(function() {
            $("html, body").animate({ scrollTop: 0 }, 200);
			return false;
    });
	var $backToTopFun = function() {
        var st = $(document).scrollTop();
		var winh = $(window).height();
        //(st > 0)? $backToTopEle.show(): $backToTopEle.hide();
        //IE6下的定位
        if (!window.XMLHttpRequest) {
            $("#fixedLocation ").css("top", st + winh -  $("#fixedLocation ").outerHeight(true) - 60);
        }
    };
    $(window).bind("scroll", $backToTopFun);
    $backToTopFun();
})

/**头部消息提示**/
$(function(){
	$("#jsCloseS").click(function(){
		$(this).parents(".topXbox").hide()
	})
})

/*

$(function(){//竞投小助手
	$("#js_show_pop_btn").click(function(){
		$("#js_show_pop_zs_show_box").css("height","334px")
	})
})

function scrollFixe(){
	 var st = $(document).scrollTop();
	 var winh = $(window).height();
   $("#js_show_pop_zs").css("top", st + winh - 37);
	 $("#js_show_pop_zs_show_box").css("top", st + winh - 334);
};

$(function(){
	if(!window.XMLHttpRequest){
		$(window).scroll(function(){
			scrollFixe();
		});
		$(window).resize(function(e) {
			 scrollFixe();
		});
	}
});
*/

function jump_win( url , msg , delay_time , elements_id)
{
		var skipUrl  = url?url:"http://nj.zsb.house365.com/login/";//跳转的页面地址 url有传值就为url 否则默认登录页
		var skipMsg  = msg?msg:"请重新登录";												//提示文字 msg如果有传值就为msg 否则默认"请重新登录"
		var skipTime = delay_time?delay_time:3000;									//多长时间后自动跳转 delay_time传值就为delay_time 否则默认3000毫秒
		var skipId   = elements_id?elements_id:"skipIdWxr";					//创建提示框的ID  elements_id有传值时候为elements_id 否则默认为"skipIdWxr"
		var oDiv     = '<div style="width:240px;" class="dialog radius5" id="'+skipId+'">';
				oDiv     += '<div class="hd"><h3 class="h3">提示</h3></div><div class="mod">';//<span class="close close-win" title="关闭">Χ</span>
				oDiv     += '<div class="text" style="margin-left:37px;font-size:14px;">'+skipMsg+'</div>';
				oDiv 		 += '<div style="padding:10px 10px 0;text-align: center;">'
				oDiv     += '如果页面不能自动跳转，<a style="color:#3887f2" href="'+skipUrl+'">';
				oDiv     += '请点击这里</a></div></div></div>';
		
		$(oDiv).appendTo("body");

		if($(".jsGTipsCover").length>0)
		{		//如果页面已经存在遮罩层 则先移除遮罩层
				$(".jsGTipsCover").remove();
		};
		openWin(skipId);
  	setInterval( function (){window.location.href = skipUrl}, skipTime);
    return false;
}
